restinio::router::easy_parser_router::impl::path_to_params_producer_t< Target_Type, Subitems_Tuple > Class Template Reference

An implementation of a producer for path_to_params case. More...

`#include <easy_parser_router.hpp>`

Inheritance diagram for restinio::router::easy_parser_router::impl::path_to_params_producer_t< Target_Type, Subitems_Tuple >:

## Static Public Member Functions

template<typename User_Type , typename Handler >
static RESTINIO_NODISCARD auto | invoke_handler (const generic_request_handle_t< User_Type > &req, Handler &&handler, typename base_type_t::result_type &type)

## Private Types

using | base_type_t = ep::impl::produce_t< Target_Type, Subitems_Tuple >

## Detailed Description

template<typename Target_Type, typename Subitems_Tuple>
class restinio::router::easy_parser_router::impl::path_to_params_producer_t< Target_Type, Subitems_Tuple >

An implementation of a producer for path_to_params case.

This implementation produces a tuple and provides a way to call a request-handler with passing that tuple as a set of separate parameters.

Since
  v.0.6.6

Definition at line 625 of file easy_parser_router.hpp.

## Member Typedef Documentation

## base_type_t

template<typename Target_Type , typename Subitems_Tuple >

using restinio::router::easy_parser_router::impl::path_to_params_producer_t< Target_Type, Subitems_Tuple >::base_type_t = ep::impl::produce_t< Target_Type, Subitems_Tuple >

private

Definition at line 628 of file easy_parser_router.hpp.

## Member Function Documentation

## invoke_handler()

template<typename Target_Type , typename Subitems_Tuple >
template<typename User_Type , typename Handler >

static RESTINIO_NODISCARD auto restinio::router::easy_parser_router::impl::path_to_params_producer_t< Target_Type, Subitems_Tuple >::invoke_handler | ( | const generic_request_handle_t< User_Type > & | req,
|  | Handler && | handler,
|  | typename base_type_t::result_type & | type
| ) |  |

inlinestatic

Definition at line 636 of file easy_parser_router.hpp.

The documentation for this class was generated from the following file:

- restinio/router/easy_parser_router.hpp